TaskEvent (Compiler Tree API )
Keywords: com.sun.source.util.TaskEvent class
Date: 2015-05-24

com.sun.source.util

## Class TaskEvent

- java.lang.Object
- - com.sun.source.util.TaskEvent

-     @Exported
      public final class TaskEvent
      extends Object

  Provides details about work that has been done by the JDK Java Compiler, javac.
  Since:
    1.6

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaskEvent.Kind` Kind of task event.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskEvent(TaskEvent.Kind kind)`
    `TaskEvent(TaskEvent.Kind kind, CompilationUnitTree unit)`
    `TaskEvent(TaskEvent.Kind kind, CompilationUnitTree unit, TypeElement clazz)`
    `TaskEvent(TaskEvent.Kind kind, JavaFileObject sourceFile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationUnitTree` | `getCompilationUnit()`
    `TaskEvent.Kind` | `getKind()`
    `JavaFileObject` | `getSourceFile()`
    `TypeElement` | `getTypeElement()`
    `String` | `toString()` Returns a string representation of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskEvent

          public TaskEvent(TaskEvent.Kind kind)

    - #### TaskEvent

          public TaskEvent(TaskEvent.Kind kind,
                           JavaFileObject sourceFile)

    - #### TaskEvent

          public TaskEvent(TaskEvent.Kind kind,
                           CompilationUnitTree unit)

    - #### TaskEvent

          public TaskEvent(TaskEvent.Kind kind,
                           CompilationUnitTree unit,
                           TypeElement clazz)

  - ### Method Detail

    - #### getKind

          public TaskEvent.Kind getKind()

    - #### getSourceFile

          public JavaFileObject getSourceFile()

    - #### getCompilationUnit

          public CompilationUnitTree getCompilationUnit()

    - #### getTypeElement

          public TypeElement getTypeElement()

    - #### toString

          public String toString()

      Description copied from class: `java.lang.Object`
      Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

      The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

      >      getClass().getName() + '@' + Integer.toHexString(hashCode())

      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.

Copyright © 2005, 2015, Oracle and/or its affiliates. All rights reserved.